Method: projects.locations.dbSystemShapes.list

Lists the database system shapes available for the project and location.

HTTP request


GET https://oracledatabase.googleapis.com/v1/{parent=projects/*/locations/*}/dbSystemShapes

The URLs use gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. The parent value for Database System Shapes in the following format: projects/{project}/locations/{location}.

Query parameters

Parameters
pageSize

integer

Optional. The maximum number of items to return. If unspecified, at most 50 database system shapes will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000.

pageToken

string

Optional. A token identifying a page of results the server should return.

filter

string

Optional. An expression for filtering the results of the request. Only the gcp_oracle_zone_id field is supported in this format: gcp_oracle_zone_id="{gcp_oracle_zone_id}".

Request body

The request body must be empty.

Response body

The response for DbSystemShape.List.

If successful, the response body contains data with the following structure:

JSON representation
{
  "dbSystemShapes": [
    {
      object (DbSystemShape)
    }
  ],
  "nextPageToken": string
}
Fields
dbSystemShapes[]

object (DbSystemShape)

The list of Database System shapes.

nextPageToken

string

A token identifying a page of results the server should return.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/oracle-database

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the parent resource:

  • oracledatabase.dbSystemShapes.list

For more information, see the IAM documentation.